Home Information Classes Download Usage Mail List Requirements Links Tutorial

# SKINI Class Reference

STK SKINI parsing class. More...

`#include <SKINI.h>`

Inheritance diagram for SKINI:

List of all members.

## Public Member Functions

| SKINI ()
| Default constructor used for parsing messages received externally.
| SKINI (char *fileName)
| Overloaded constructor taking a SKINI formatted scorefile.
| ~SKINI ()
| Class destructor.
long | parseThis (char *aString)
| Attempt to parse the given string, returning the message type.
long | nextMessage ()
| Parse the next message (if a file is loaded) and return the message type.
long | getType () const
| Return the current message type.
long | getChannel () const
| Return the current message channel value.
MY_FLOAT | getDelta () const
| Return the current message delta time value (in seconds).
MY_FLOAT | getByteTwo () const
| Return the current message byte two value.
MY_FLOAT | getByteThree () const
| Return the current message byte three value.
long | getByteTwoInt () const
| Return the current message byte two value (integer).
long | getByteThreeInt () const
| Return the current message byte three value (integer).
const char * | getRemainderString ()
| Return remainder string after parsing.
const char * | getMessageTypeString ()
| Return the message type as a string.
const char * | whatsThisType (long type)
| Return the SKINI type string for the given type value.
const char * | whatsThisController (long number)
| Return the SKINI controller string for the given controller number.

## Detailed Description

STK SKINI parsing class.

This class parses SKINI formatted text messages. It can be used to parse individual messages or it can be passed an entire file. The file specification is Perry's and his alone, but it's all text so it shouldn't be to hard to figure out.

SKINI (Synthesis toolKit Instrument Network Interface) is like MIDI, but allows for floating-point control changes, note numbers, etc. The following example causes a sharp middle C to be played with a velocity of 111.132:

        noteOn  60.01  111.13

See also:
  Synthesis toolKit Instrument Network Interface (SKINI)

by Perry R. Cook and Gary P. Scavone, 1995 - 2002.

Definition at line 34 of file SKINI.h.

## Member Function Documentation

long SKINI::parseThis | ( | char * | aString | ) |

| Attempt to parse the given string, returning the message type. A type value equal to zero indicates an invalid message.

long SKINI::nextMessage | ( |  | ) |

| Parse the next message (if a file is loaded) and return the message type. A negative value is returned when the file end is reached.

The documentation for this class was generated from the following file:

- SKINI.h

The Synthesis ToolKit in C++ (STK)
©1995-2004 Perry R. Cook and Gary P. Scavone. All Rights Reserved.